# 32/64bit spec-file
#
Name:           njam
Version:        1.25
Release:        %mkrel 1

Summary:        Maze-game, eat all the cookies while avoiding the badguys
Group:          Games/Arcade
License:        GPLv2+
URL:            http://njam.sourceforge.net/
Source0:        %{name}-%{version}-src.tar.xz
BuildRoot:      %{_tmppath}/%{version}-%{release}-buildroot
Source1:        njam.6
Patch0:         njam-1.25-drop-setgid.patch
Patch1:         njam-1.25-html.patch
Patch2:         njam-1.25-leveledit.patch
Patch3:         njam-1.25-gcc45.patch
Patch4:         njam-1.25-rhbz767015.patch
BuildRequires:  SDL-devel SDL_mixer-devel SDL_image-devel SDL_net-devel 
BuildRequires:  ImageMagick desktop-file-utils
Requires: SDL

%description
Njam is a fast-paced maze-game where you must eat all the cookies while
avoiding the badguys. Special cookies give you the power to freeze or eat the
bad guys. The game features single and multiplayer modes, network play,
duelling and cooperative games, great music and sound effects, customizable
level skins, many different levels and an integrated level editor.


%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1 -z .setgid
%patch1 -p1
%patch2 -p1 -z .leveledit
%patch3 -p1
%patch4 -p1


%build
%configure2_5x

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}.*
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/njamicon.ico

#manpage
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man6

#desktop
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Njam
Comment=Eat all the cookies while avoiding the badguys
Exec=njam
Icon=njam
Terminal=false
StartupNotify=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
X-Desktop-File-Install-Version=0.21
EOF

cp -af {njam.conf,njam.rc,njam.iss} $RPM_BUILD_ROOT%{_datadir}/%{name}

#icon
convert -resize 48x48 -transparent black njamicon.ico %{name}.png
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -p -m 644 %{name}.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png 

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README TODO levels/readme.txt html
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man6/*.bz2
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Mar 16 2013 Ken <lxgator at gmail dot com> 1.25-1pclos2013
- Initial build 
